org.h2gis.functions.spatial.distance

## Class ST_ProjectPoint

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.distance.ST_ProjectPoint

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_ProjectPoint
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_ProjectPoint()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Point` `projectPoint(com.vividsolutions.jts.geom.Geometry point, com.vividsolutions.jts.geom.Geometry geometry)` Project a point on a linestring or multilinestring

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_ProjectPoint

    public ST_ProjectPoint()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### projectPoint

    public static com.vividsolutions.jts.geom.Point projectPoint(com.vividsolutions.jts.geom.Geometry point,
                                                                 com.vividsolutions.jts.geom.Geometry geometry)

Project a point on a linestring or multilinestring

Parameters:
  `point` -
  `geometry` -
Returns: